I posted about Dynamics GP and 64 bit support last year. As per the technology requirements for Dynamics GP – for the e-Email feature -

E-Mail Functionality Feature

Item

Requirements

Microsoft Office

Microsoft Office 2007 32-bit
Microsoft Office 2010 32-bit

 

Documentation

Click HERE to review the SystemSetup.pdf manual for Microsoft Dynamics GP 2010.  Refer to Chapter 16 for information regarding e-mail setup.

E-Mail

Extended MAPI compliant e-mail application

 

As you can see 32 bit Office is required. So if you are getting the "connection to the mapi server not available" error, and Outlook is working fine, you need to check your office version. If you have the 64 bit version install, you need to uninstall it, and re-install 32 bit Office.